Download it now!
Bug 120799 - KDE5: Drag'n'drop doesn't work if Gallery is undocked
Summary: KDE5: Drag'n'drop doesn't work if Gallery is undocked
Status: VERIFIED DUPLICATE of bug 120775
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-22 15:45 UTC by Xisco Faulí
Modified: 2018-12-21 12:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 15:45:16 UTC
Steps to reproduce:
1. Open Writer
2. Undock the sidebar
3. Go to the Gallery
4. Drag'n'drop any image to the document

-> Nothing happens

reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Michael Weghorn 2018-10-22 17:59:14 UTC
Reproduced with

Version: 6.2.0.0.alpha1+
Build ID: cd9aa5bc508244082b4baf4a3094875bf2c6f992
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded
Comment 2 Katarina Behrens (Inactive) 2018-12-03 15:10:58 UTC
I fixed bug 120775 locally and with that, this one goes away as well. Undocked sidebar or different document are the same concept (2 different SalFrames)

*** This bug has been marked as a duplicate of bug 120775 ***
Comment 3 Michael Weghorn 2018-12-05 09:23:09 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: 126e5a4d5b1d6c7ba5b313786793a38f99488b33
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Xisco Faulí 2018-12-21 12:15:16 UTC
Verified in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded